using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace SymbolTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Map myMap = new Map();
            Layer myLayer = new Layer(myMap);

            symbolObj symbol = new symbolObj("mySymbol", null);
            symbol.type = (int)MS_SYMBOL_TYPE.MS_SYMBOL_VECTOR;
            symbol.filled = mapscript.MS_TRUE;
            lineObj line = new lineObj();
            line.add(new pointObj(1, 5, 0, 0));
            line.add(new pointObj(1, 3, 0, 0));
            line.add(new pointObj(3, 2, 0, 0));
            line.add(new pointObj(1, 1, 0, 0));
            line.add(new pointObj(1, 3, 0, 0));
            symbol.setPoints(line);
            symbol.sizex = 10;
            symbol.sizey = 10;

            myMap.symbolset.appendSymbol(symbol);

            classObj classtest = new classObj(myLayer);
            classtest.name = "test";

            styleObj myStyle = new styleObj(classtest);
            myStyle.symbolname = "mySymbol";
            myStyle.size = 150;
            myStyle.color = new colorObj(255, 0, 0, 1);

            myMap.symbolset.save(Environment.CurrentDirectory + @"\Symbol.sym");
            //myMap.insertLayer(myLayer, -1);

            try
            {
                lock (this)
                {
                    myMap.save(Environment.CurrentDirectory + @"\testBefore.map");
                    using (imageObj image = myMap.draw())
                    {
                        myMap.save(Environment.CurrentDirectory + @"\testAfter.map");
                        byte[] img = image.getBytes();
                        using (MemoryStream ms = new MemoryStream(img))
                        {
                            pictureBox1.Image = Image.FromStream(ms);
                        }
                    }
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message + "\n" + (ex.InnerException != null ? ex.InnerException.Message : "")
                    , "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}