using System;
using System.Collections.Generic;
using System.Text;

namespace SymbolTest
{
    public class Map : mapObj
    {
        public new symbolSetObj symbolset
        {
            get
            {
                return base.symbolset;
            }
        }

        public Map()
            : base("")
        {
            this.units = MS_UNITS.MS_METERS;
            this.name = "test.map";
            this.status = mapscript.MS_ON;
            this.width = 600;
            this.height = 600;
            this.setExtent(0, 0, 30, 50);
            this.shapepath = @"C:\geodata\data\";
            this.imagecolor = new colorObj(230, 230, 230, 10);
            this.setImageType("JPEG");
            this.setProjection("init=epsg:4326");
            this.web.imagepath = "c:/ms4w/tmp/ms_tmp";
            this.web.imageurl = "/ms_tmp/";
            this.web.metadata.set("WMS_TITLE", "Rosen World Base Map");
            this.web.metadata.set("WMS_ABSTRACT", "This is an UMN MapServer Application Demonstrating the capabilities of a Web Mapping Application");
            this.web.metadata.set("WMS_ONLINERESOURCE", "http://localhost/cgi-bin/mapserv.exe?Map=c:\\ms4w\\thisPfile.map&");
            this.web.metadata.set("WMS_SRS", "EPSG:4326");
        }

        public new imageObj draw()
        {
            return base.draw();
        }

        public new int save(String filename)
        {
            return base.save(filename);
        }
    }
}
